Orxonox: orxonox::ConsoleCommand Class Reference

# orxonox::ConsoleCommand Class Reference

`#include <src/core/ConsoleCommand.h>`

Inheritance diagram for orxonox::ConsoleCommand:

List of all members.

## Public Member Functions

ConsoleCommand & | accessLevel (AccessLevel::Value level)
ConsoleCommand & | argumentCompleter (unsigned int param, ArgumentCompleter *completer)
| ConsoleCommand (Functor *functor, const std::string &name="")
void | createArgumentCompletionList (unsigned int param, const std::string &param1="", const std::string &param2="", const std::string &param3="", const std::string &param4="", const std::string &param5="")
ConsoleCommand & | defaultValue (unsigned int index, const MultiType &param)
ConsoleCommand & | defaultValues (const MultiType &param1, const MultiType &param2, const MultiType &param3, const MultiType &param4, const MultiType &param5)
ConsoleCommand & | defaultValues (const MultiType &param1, const MultiType &param2, const MultiType &param3, const MultiType &param4)
ConsoleCommand & | defaultValues (const MultiType &param1, const MultiType &param2, const MultiType &param3)
ConsoleCommand & | defaultValues (const MultiType &param1, const MultiType &param2)
ConsoleCommand & | defaultValues (const MultiType &param1)
ConsoleCommand & | description (const std::string &description)
ConsoleCommand & | descriptionParam (int param, const std::string &description)
ConsoleCommand & | descriptionReturnvalue (const std::string &description)
AccessLevel::Value | getAccessLevel () const
ArgumentCompleter * | getArgumentCompleter (unsigned int param) const
const ArgumentCompletionList & | getArgumentCompletionList () const
ArgumentCompletionList::const_iterator | getArgumentCompletionListBegin () const
ArgumentCompletionList::const_iterator | getArgumentCompletionListEnd () const
int | getInputConfiguredParam_ () const
KeybindMode::Value | getKeybindMode () const
ConsoleCommand & | inputConfiguredParam (int index)
ConsoleCommand & | keybindMode (KeybindMode::Value mode)
ConsoleCommand & | setAsInputCommand ()

## Private Attributes

AccessLevel::Value | accessLevel_
ArgumentCompleter * | argumentCompleter_ [5]
ArgumentCompletionList | argumentList_
int | inputConfiguredParam_
KeybindMode::Value | keybindMode_

## Constructor & Destructor Documentation

orxonox::ConsoleCommand::ConsoleCommand | ( | Functor * | functor,
|  | const std::string & | name = `""` |
| ) |  |  |

References accessLevel_, argumentCompleter_, inputConfiguredParam_, keybindMode_, orxonox::AccessLevel::None, and orxonox::KeybindMode::OnPress.

## Member Function Documentation

ConsoleCommand& orxonox::ConsoleCommand::accessLevel | ( | AccessLevel::Value | level | ) | `[inline]`

Referenced by orxonox::GSRoot::activate().

ConsoleCommand & orxonox::ConsoleCommand::argumentCompleter | ( | unsigned int | param,
|  | ArgumentCompleter * | completer |
| ) |  |  |

References argumentCompleter_, and COUT.

void orxonox::ConsoleCommand::createArgumentCompletionList | ( | unsigned int | param,
|  | const std::string & | param1 = `""`,
|  | const std::string & | param2 = `""`,
|  | const std::string & | param3 = `""`,
|  | const std::string & | param4 = `""`,
|  | const std::string & | param5 = `""` |
| ) |  |  |

References argumentCompleter_, and argumentList_.

Referenced by orxonox::CommandExecutor::createArgumentCompletionList().

ConsoleCommand& orxonox::ConsoleCommand::defaultValue | ( | unsigned int | index,
|  | const MultiType & | param |
| ) |  |  | `[inline]`

References orxonox::Executor::setDefaultValue().

Referenced by orxonox::GSRoot::activate().

ConsoleCommand& orxonox::ConsoleCommand::defaultValues | ( | const MultiType & | param1,
|  | const MultiType & | param2,
|  | const MultiType & | param3,
|  | const MultiType & | param4,
|  | const MultiType & | param5 |
| ) |  |  | `[inline]`

References orxonox::Executor::setDefaultValues().

ConsoleCommand& orxonox::ConsoleCommand::defaultValues | ( | const MultiType & | param1,
|  | const MultiType & | param2,
|  | const MultiType & | param3,
|  | const MultiType & | param4 |
| ) |  |  | `[inline]`

References orxonox::Executor::setDefaultValues().

ConsoleCommand& orxonox::ConsoleCommand::defaultValues | ( | const MultiType & | param1,
|  | const MultiType & | param2,
|  | const MultiType & | param3 |
| ) |  |  | `[inline]`

References orxonox::Executor::setDefaultValues().

ConsoleCommand& orxonox::ConsoleCommand::defaultValues | ( | const MultiType & | param1,
|  | const MultiType & | param2 |
| ) |  |  | `[inline]`

References orxonox::Executor::setDefaultValues().

ConsoleCommand& orxonox::ConsoleCommand::defaultValues | ( | const MultiType & | param1 | ) | `[inline]`

References orxonox::Executor::setDefaultValues().

ConsoleCommand& orxonox::ConsoleCommand::description | ( | const std::string & | description | ) | `[inline]`

References orxonox::Executor::setDescription().

ConsoleCommand& orxonox::ConsoleCommand::descriptionParam | ( | int | param,
|  | const std::string & | description |
| ) |  |  | `[inline]`

References orxonox::Executor::setDescriptionParam().

ConsoleCommand& orxonox::ConsoleCommand::descriptionReturnvalue | ( | const std::string & | description | ) | `[inline]`

References orxonox::Executor::setDescriptionReturnvalue().

AccessLevel::Value orxonox::ConsoleCommand::getAccessLevel | ( |  | ) | const`[inline]`

ArgumentCompleter * orxonox::ConsoleCommand::getArgumentCompleter | ( | unsigned int | param | ) | const

References argumentCompleter_.

const ArgumentCompletionList& orxonox::ConsoleCommand::getArgumentCompletionList | ( |  | ) | const`[inline]`

ArgumentCompletionList::const_iterator orxonox::ConsoleCommand::getArgumentCompletionListBegin | ( |  | ) | const`[inline]`

Referenced by orxonox::CommandExecutor::createListOfPossibleArguments(), and orxonox::CommandExecutor::getPossibleArgument().

ArgumentCompletionList::const_iterator orxonox::ConsoleCommand::getArgumentCompletionListEnd | ( |  | ) | const`[inline]`

Referenced by orxonox::CommandExecutor::createListOfPossibleArguments(), and orxonox::CommandExecutor::getPossibleArgument().

int orxonox::ConsoleCommand::getInputConfiguredParam_ | ( |  | ) | const`[inline]`

Referenced by orxonox::Button::parse().

KeybindMode::Value orxonox::ConsoleCommand::getKeybindMode | ( |  | ) | const`[inline]`

Referenced by orxonox::Button::parse().

ConsoleCommand& orxonox::ConsoleCommand::inputConfiguredParam | ( | int | index | ) | `[inline]`

ConsoleCommand& orxonox::ConsoleCommand::keybindMode | ( | KeybindMode::Value | mode | ) | `[inline]`

ConsoleCommand& orxonox::ConsoleCommand::setAsInputCommand | ( |  | ) | `[inline]`

References orxonox::KeybindMode::OnHold, and orxonox::MT_Type::Vector2.

## Member Data Documentation

AccessLevel::Value orxonox::ConsoleCommand::accessLevel_`[private]`

Referenced by ConsoleCommand().

ArgumentCompleter* orxonox::ConsoleCommand::argumentCompleter_[5]`[private]`

Referenced by argumentCompleter(), ConsoleCommand(), createArgumentCompletionList(), and getArgumentCompleter().

ArgumentCompletionList orxonox::ConsoleCommand::argumentList_`[private]`

Referenced by createArgumentCompletionList().

int orxonox::ConsoleCommand::inputConfiguredParam_`[private]`

Referenced by ConsoleCommand().

KeybindMode::Value orxonox::ConsoleCommand::keybindMode_`[private]`

Referenced by ConsoleCommand().

The documentation for this class was generated from the following files:

- src/core/ConsoleCommand.h
- src/core/ConsoleCommand.cc